# Derived values
%define module Digest-Nilsimsa
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-digest-nilsimsa
Version: 0.06
Release: 7tr
License: distributable
Group: Trustix Official
Source0: %{module}-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}
Provides:	perl(Digest::Nilsimsa)

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

perl -pi -e 's|/usr/local/bin/perl|/usr/bin/perl|' `find . -type f -print`

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root,0755)
%{siteperl}/i586-linux-thread-multi/Digest/Nilsimsa.pm
%{siteperl}/i586-linux-thread-multi/auto/Digest/Nilsimsa
/usr/share/man/man3/*

%changelog
* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 0.06-7tr
- Rebuilt on perl-5.8.7	
		
* Fri Mar 18 2005 Hasher Jamaludeen <hasher at comodo dot com>
- Rebuilt

* Fri Nov  5 2004 Erlend Midttun <erlendbm at trustix dot org>
- TSL 2.2

* Mon Aug 16 2004 LAKostis <lakostis at altlinux dot ru> 2.10-lks1
- Rebuilt for TSL 2.1
